> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-postgresql-tls-support.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update CDC ClickPipes scaling

> Update scaling settings for database ClickPipes (PostgreSQL, MySQL, MongoDB, BigQuery).

The infrastructure is shared between all database ClickPipes in the service, both for initial load and CDC. Scaling settings may take a few minutes to fully propagate.

For billing purposes, 2 CPU cores and 8 GB of RAM [correspond](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc) to one compute unit. If your organization tier changes, database ClickPipes will be [rescaled](https://clickhouse.com/docs/cloud/manage/billing/overview#compute) appropriately.

**Note:** For Kafka, Kinesis, and object storage pipes (S3, GCS, Azure Blob), see [Get ClickPipe](#tag/ClickPipes/operation/clickPipeGet).

**This endpoint becomes available once at least one database ClickPipe was provisioned.**

Update scaling settings for database ClickPipes (PostgreSQL, MySQL, MongoDB, BigQuery).

The infrastructure is shared between all database ClickPipes in the service, both for initial load and CDC. Scaling settings may take a few minutes to fully propagate.

For billing purposes, 2 CPU cores and 8 GB of RAM [correspond](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc) to one compute unit. If your organization tier changes, database ClickPipes will be [rescaled](https://clickhouse.com/docs/cloud/manage/billing/overview#compute) appropriately.

**Note:** For Kafka, Kinesis, and object storage pipes (S3, GCS, Azure Blob), see [Get ClickPipe](/products/cloud/api-reference/clickpipes/get-clickpipe).

**This endpoint becomes available once at least one database ClickPipe was provisioned.**


## OpenAPI

````yaml /_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-910487
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling:
    patch:
      tags:
        - ClickPipes
      summary: Update CDC ClickPipes scaling
      description: >-
        Update scaling settings for database ClickPipes (PostgreSQL, MySQL,
        MongoDB, BigQuery).


        The infrastructure is shared between all database ClickPipes in the
        service, both for initial load and CDC. Scaling settings may take a few
        minutes to fully propagate.


        For billing purposes, 2 CPU cores and 8 GB of RAM
        [correspond](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc)
        to one compute unit. If your organization tier changes, database
        ClickPipes will be
        [rescaled](https://clickhouse.com/docs/cloud/manage/billing/overview#compute)
        appropriately.


        **Note:** For Kafka, Kinesis, and object storage pipes (S3, GCS, Azure
        Blob), see [Get ClickPipe](#tag/ClickPipes/operation/clickPipeGet).


        **This endpoint becomes available once at least one database ClickPipe
        was provisioned.**
      operationId: clickPipeCdcScalingUpdate
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the service.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the service that owns the ClickPipe.
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipesCdcScalingPatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/ClickPipesCdcScaling'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    ClickPipesCdcScalingPatchRequest:
      properties:
        replicaCpuMillicores:
          description: CPU in millicores for DB ClickPipes.
          type: integer
          minimum: 1000
          maximum: 32000
          multipleOf: 1000
          example: 2000
        replicaMemoryGb:
          description: Memory in GiB for DB ClickPipes. Must be 4× the CPU core count.
          type: number
          minimum: 4
          maximum: 128
          multipleOf: 4
          example: 8
    ClickPipesCdcScaling:
      properties:
        replicaCpuMillicores:
          description: CPU in millicores for DB ClickPipes.
          type: integer
          minimum: 1000
          maximum: 32000
          multipleOf: 1000
          example: 2000
        replicaMemoryGb:
          description: Memory in GiB for DB ClickPipes. Must be 4× the CPU core count.
          type: number
          minimum: 4
          maximum: 128
          multipleOf: 4
          example: 8
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````